/***
*     datafiltw5.h -- ui declarations for datafilt.c
*      1993,1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE    | WHAT
============================================================================
  11 Feb 94  | created from #4 to add sysex gadgets
*/

#include <intuition/intuition.h>

/** gadget ids ***/
#define BYTE1 1
#define BYTE2 2
#define FOLD 3
#define FIX 4
#define BRANCH 5
#define DISCARD 6
#define DO_SYSEX 7
#define DIS_SYSEX 8
#define LOW 9
#define LOWL 10
#define LOWR 11
#define HIGH 12
#define HIGHR 13
#define HIGHL 14
#define FOLDVAL 15
#define FOLDVALL 16
#define FOLDVALR 17
#define FIXVAL 18
#define FIXVALL 19
#define FIXVALR 20
#define CONTROLLER 21
#define CONTROLLERL 22
#define CONTROLLERR 23
#define EVENT 24
#define EVENTL 25
#define EVENTR 26

static struct PropInfo Gadget14SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	4800,-1,
};


static struct Image Image1 = {
	0,0,
	18,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Fix:",
	NULL
};

static struct Gadget Gadget14 = {
	NULL,
	99,92,
	202,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image1,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget14SInfo,
	FIXVAL,
	NULL
};

static struct PropInfo Gadget13SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	9500,-1,
};

static struct Image Image2 = {
	0,0,
	15,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	2,0,JAM1,
	-43,0,
	NULL,
	"Fold:",
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	99,82,
	202,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image2,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget13SInfo,
	FOLDVAL,
	NULL
};

static struct PropInfo Gadget12SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	4800,-1,
};

static struct Image Image3 = {
	0,0,
	18,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	2,0,JAM1,
	-35,0,
	NULL,
	"Low:",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	99,59,
	202,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image3,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget12SInfo,
	LOW,
	NULL
};

static struct PropInfo Gadget11SInfo = {
	AUTOKNOB+FREEHORIZ,
	-1,0,
	4800,-1,
};

static struct Image Image4 = {
	176,0,
	18,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	2,0,JAM1,
	-43,0,
	NULL,
	"High:",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	99,49,
	202,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image4,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget11SInfo,
	HIGH,
	NULL
};

static struct PropInfo Gadget10SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,0,
	4800,-1,
};

static struct Image Image5 = {
	0,0,
	18,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	2,0,JAM1,
	-91,0,
	NULL,
	"Controller:",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	99,26,
	202,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image5,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget10SInfo,
	CONTROLLER,
	NULL
};

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ,
	-1,0,
	13107,-1,
};

static struct Image Image6 = {
	104,0,
	21,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText6 = {
	2,0,JAM1,
	-51,0,
	NULL,
	"Event:",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	99,16,
	133,7,
	NULL,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image6,
	NULL,
	&IText6,
	NULL,
	(APTR)&Gadget9SInfo,
	EVENT,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Discard",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	168,103,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	DIS_SYSEX,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Respond",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	99,103,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	DO_SYSEX,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Discard",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	306,70,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	DISCARD,
	NULL
};

static struct IntuiText IText10 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Branch",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	237,70,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10,
	NULL,
	NULL,
	BRANCH,
	NULL
};

static struct IntuiText IText11 = {
	4,0,JAM1,
	19,1,
	NULL,
	"Fix",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	168,70,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText11,
	NULL,
	NULL,
	FIX,
	NULL
};

static struct IntuiText IText12 = {
	4,0,JAM1,
	15,1,
	NULL,
	"Fold",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	99,70,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText12,
	NULL,
	NULL,
	FOLD,
	NULL
};

static struct IntuiText IText13 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Byte 2",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	168,37,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText13,
	NULL,
	NULL,
	BYTE2,
	NULL
};

static struct IntuiText IText14 = {
	4,0,JAM1,
	9,1,
	NULL,
	"Byte 1",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	99,37,
	64,9,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText14,
	NULL,
	NULL,
	BYTE1,
	NULL
};

#define GadgetList1 Gadget1

static struct Menu Menu1 = {
	NULL,
	0,0,
	0,0,
	NULL,
	"MIDI Event Filter v1.21  1994-99 Michael Rees",
	NULL
};

#define MenuList1 Menu1

static struct IntuiText IText18 = {
	2,0,JAM1,
	48,104,
	NULL,
	"SysEx:",
	NULL
};

static struct IntuiText IText17 = {
	2,0,JAM1,
	40,71,
	NULL,
	"Action:",
	&IText18
};

static struct IntuiText IText16 = {
	2,0,JAM1,
	56,38,
	NULL,
	"Data:",
	&IText17
};

#define IntuiTextList1 IText16

static struct NewWindow NewWindowStructure1 = {
	130,13,
	380,119,
	0,1,
	GADGETDOWN+GADGETUP+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

#define WTITLE "MIDI Event Filter"
#define GCOUNT 8
